Subject: Re: [RFC][PATCH] Fixing SA/SP dumps on netlink/af_key

From: Timo Teräs <[email-masked]>
Date: Thu, 17 Jan 2008 08:27:14 +0200

Herbert Xu wrote:
> jamal <[email-masked]> wrote:
>> There are two issues that are inter-mingled in there. The most important
>> is pf_key not being robust on dump. The other being the accurracy of
> 
> IMHO doing significant work on af_key is a waste of time.  It has no
> advantages at all over xfrm_user since neither is portable.  So we
> should discourage people from using af_key wherever possible.

I don't know about netlink. But pfkey works in *BSD too and it is RFC'd.
So I'd say pfkey might be a bit more portable. Though netlink is definitely
more robust and extensive.

Cheers,
  Timo